function [V1,V2,P1,P2] = preprocess(V,P,p1,p2)
%PREPROCESS returns the polygons cut by the points
K1 = lies_to_left(V,p1,p2); K2 = lies_to_left(V,p2,p1);
V1 = [p1;p2;V(K1,:)]; V1 = V1(convhull(V1(:,1),V1(:,2)),:);
V2 = [p1;p2;V(K2,:)]; V2 = V2(convhull(V2(:,1),V2(:,2)),:);
K1 = lies_to_left(P,p1,p2); K2 = lies_to_left(P,p2,p1);
P1 = P(K1,:); P2 = P(K2,:);