%have to run this twice to get a and N plot(1:40,5*a/A); hold on; plot(1:40,N,'.');
V = [   -0.8189    0.0608
   -0.7274   -0.3861
   -0.2494   -0.6996
    0.3136   -0.9452
    1.0331   -0.3834
    1.2439    0.2795
    0.8120    0.7276
    0.3507    1.0767
   -0.2482    1.2049
   -0.7494    0.7453
   -0.8189    0.0608];

P =[-0.3336    0.7879
    0.1006    1.0387
    0.6419    0.6364
   -0.4142   -0.4394
    0.5609    0.1083
    .25 0.5];
V_add = add_points(V);
for i = 1:103, fnames{i} = num2str(i); end;
A = polyarea(V(:,1),V(:,2));
for i = 1:103
    subplot(2,1,2)
    p1 = V_add(i,:);
    p2 = get_frac_line(V,p1,0.5);
    K = lies_to_left(V,p2,p1);
    xl = [p1(1),p2(1)]; yl = [p1(2),p2(2)];
    [xo,yo] = intsecpl(V(:,1),V(:,2),xl,yl);
    points = [p1; V(K,:); p2];
    K = convhull(points(:,1), points(:,2)); points = points(K,:);
    a(i) = area_cut_off_left(V,p2,p1);
    N(i) = length(lies_to_left(P,p2,p1));
     plot(1:103,6*a/A); hold on; plot(1:103,N,'.');
    plot(i,3,'ok','MarkerFaceColor','k'); plot(i,N(i),'.k');
    set(gca,'XTickLabel',{})
    legend('Area fraction', 'Points', 'Location','SouthEast')
    subplot(2,1,1)
    if N(i) == 3
        fill(points(:,1),points(:,2),[0 1 0]); hold on;
    else
        fill(points(:,1),points(:,2),[1 0 0]); hold on;
    end
    plot(V(:,1),V(:,2),'k','LineWidth',2);plot(P(:,1),P(:,2),'ok','MarkerFaceColor','k'); axis off; axis equal;
    if mod(i,3) == 0, print('-depsc','-r200', fnames{i}); end;
      close;
%     pause; 
close;
end