function subregions = tricky_odd(V,P)
m = size(V,1); n = size(P,1); q = floor(n/2);
A = polyarea(V(:,1),V(:,2));
desired_area = q/n * A;
%here p1p2 is a line that divides V into area between q/n and (q+1)/n,
%this gets a three-cut
K = convhull(P(:,1),P(:,2));
P_conv = P( K , :);
j=1;
[p1,p2] = get_median_line(P,V,j);
%R is to the LEFT of p1p2 , this is weird, I know
K = lies_to_left(V,p1,p2);
if find(K == 1), K = K(1:end-1,:); end
R = [p2; V(K,:); p1; p2];
K = lies_to_left(V,p2,p1);
if find(K == 1), K = K(1:end-1,:); end
L = [p1; V(K,:); p2; p1];
%vR is the vertex of P_conv in R, so it should be P_conv(j-1,:) etc

v = P_conv(1,:); vR = P_conv(end-1,:); vL = P_conv(2,:);

A_R_small = area_cut_off_left(R,vR,v);
A_R_big = area_cut_off_left(R,v,vL);
A_L_small = area_cut_off_left(L,v,vL);
A_L_big = area_cut_off_left(L,vR,v);

while (A_R_big < desired_area & A_L_small > desired_area) | (A_L_big < desired_area & A_R_small > desired_area)
    j = j+1;
    [p1,p2] = get_median_line(P,V,j);
    K = lies_to_left(V,p1,p2);
    if find(K == 1), K = K(1:end-1,:); end
    R = [p2; V(K,:); p1; p2];
    K = lies_to_left(V,p2,p1);
    if find(K == 1), K = K(1:end-1,:); end
    L = [p1; V(K,:); p2; p1];

    v = P_conv(j,:); vR = P_conv(j-1,:); vL = P_conv(j+1,:);

    A_R_small = area_cut_off_left(R,vR,v);
    A_R_big = area_cut_off_left(R,v,vL);
    A_L_small = area_cut_off_left(L,v,vL);
    A_L_big = area_cut_off_left(L,vR,v);
end

%ok at this point one of the cases hasn't happened
frac_R = 1 - desired_area/polyarea(R(:,1),R(:,2));
frac_L = desired_area/polyarea(L(:,1),L(:,2));
p3 = get_frac_line(R,v,frac_R);
p4 = get_frac_line(L,v,frac_L);
plot( [v(1) p2(1)],[v(2) p2(2)]);
plot( [v(1) p3(1)],[v(2) p3(2)]);
plot( [v(1) p4(1)],[v(2) p4(2)]);
%cool, now v is the center, p2 is one vertex, p3 is one vertex, and p4 is
%the other.  Get a preprocessing algorithm to do the dirty stuff

subregions = preprocess_three(V,P,v,p2,p3,p4);